<?php
defined( 'ABSPATH' ) || exit;

if ( ! function_exists( 'jpffgmc_fs' ) ) {
    function jpffgmc_fs() {
        global $jpffgmc_fs;

        if ( ! isset( $jpffgmc_fs ) ) {
            require_once dirname( __FILE__ ) . '/../vendor/freemius/start.php';

            $jpffgmc_fs = fs_dynamic_init( array(
                'id'                  => '29381',
                'slug'                => 'jons-product-feed-for-google-merchant-center',
                'type'                => 'plugin',
                'public_key'          => 'pk_d59f26977ac902d7e546f79701c62',
                'is_premium'          => true,
                'premium_suffix'      => 'Pro',
                'has_premium_version' => true,
                'has_addons'          => false,
                'has_paid_plans'      => true,
                'is_org_compliant'    => true,
                'menu'                => array(
                    'slug'    => 'jra-merchant-feed',
                    'support' => false,
                ),
            ) );
        }

        return $jpffgmc_fs;
    }

    jpffgmc_fs();
    do_action( 'jpffgmc_fs_loaded' );
}
